# Introduction 

`strapy` (SCAttering Matrix (model) PYthon) is python package implementing the combined transfer and scattering matrix
modelling approach described in [1], jointly developed by the [National
Physical Laboratory](https://www.npl.co.uk/) and the [Centre for Engineering
Photonics at Cranfield University](https://openoptics.info/) as part of
an EPSRC funded iCASE studentship. The primary motivation to develop this
software was to model the effects of multiple reflections and polarisation
leakage within the optics of homodyne displacement measuring interferometers,
however `strapy` is generally applicable to modelling the propagation of
monochromatic light through networks of planar optical components.

Full documentation is available at [strapy-project.readthedocs.io](https://strapy-project.readthedocs.io/)

[1] A. Bridges, A. Yacoot, T. Kissinger, R. P. Tatam, “Polarisation-sensitive transfer matrix modelling for displacement measuring interferometry”, awaiting publication.

# Citing strapy

If you find an interesting application for `strapy` please let us know. If you
want to cite results found using `strapy` please cite the accompanying
publication and the software DOI:

* A. Bridges, A. Yacoot, T. Kissinger, R. P. Tatam, “Polarisation-sensitive transfer matrix modelling for displacement measuring interferometry”, awaiting publication
* Cranfield University research data repository - [10.17862/cranfield.rd.12001236](https://doi.org/10.17862/cranfield.rd.12001236)

# Licencing

`strapy` is licenced under the [MIT licence](LICENCE). 

# Reporting bugs

If you find a bug in `strapy`, please either create an issue on the GitHub
repository, or contact one of the authors directly (see below).

# Contributing

If you find `strapy` useful and want to extend it, or have found a bug and have
fixed it, feel free to submit a GitHub pull request, or send your patch to the
authors directly.

# Authors

* [Angus Bridges](https://github.com/AngusBridges)<sup>1, 2</sup> (initial development) 
* Andrew Yacoot<sup>1</sup>
* Thomas Kissinger<sup>2</sup>
* Ralph P. Tatam<sup>2</sup>

<sup>1</sup> National Physical Laboratory, Teddington, Middlesex, TW11 0LW, United Kingdom

<sup>2</sup> Centre for Engineering Photonics, Cranfield University, MK43 0AL, United Kingdom
